
CREATE TABLE `slaed_album_categories` (
  `gallid` int(3) NOT NULL auto_increment,
  `gallname` varchar(30) NOT NULL default '',
  `gallimg` varchar(50) NOT NULL default '',
  `galloc` longtext,
  `description` text NOT NULL,
  `parent` int(3) NOT NULL default '-1',
  `visible` tinyint(3) unsigned NOT NULL default '0',
  `template` int(10) unsigned NOT NULL default '2',
  `thumbwidth` int(2) unsigned NOT NULL default '70',
  `numcol` tinyint(3) unsigned NOT NULL default '3',
  `total` int(10) unsigned NOT NULL default '0',
  `lastadd` date NOT NULL default '0000-00-00',
  PRIMARY KEY (`gallid`)
) TYPE=MyISAM;

CREATE TABLE `slaed_album_comments` (
  `cid` int(11) NOT NULL auto_increment,
  `pid` int(4) NOT NULL default '0',
  `comment` text NOT NULL,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `name` varchar(255) default NULL,
  `member` int(1) NOT NULL default '0',
  PRIMARY KEY (`cid`)
) TYPE=MyISAM;

CREATE TABLE `slaed_album_media_class` (
  `id` int(2) NOT NULL default '0',
  `class` varchar(10) NOT NULL default '',
  PRIMARY KEY (`id`)
) TYPE=MyISAM;

INSERT INTO `slaed_album_media_class` VALUES (1, 'Image');
INSERT INTO `slaed_album_media_class` VALUES (2, 'Audio');
INSERT INTO `slaed_album_media_class` VALUES (3, 'Video');

CREATE TABLE `slaed_album_media_types` (
  `extension` varchar(10) NOT NULL default '',
  `description` text NOT NULL,
  `filetype` varchar(20) NOT NULL default '',
  `displaytag` text NOT NULL,
  `thumbnail` varchar(255) NOT NULL default '',
  PRIMARY KEY (`extension`)
) TYPE=MyISAM;

INSERT INTO `slaed_album_media_types` VALUES ('bmp', 'Image/BMP', '1', '<img src="<:FILENAME:>" border="0" alt="<:DESCRIPTION:>">', 'GIF.gif');
INSERT INTO `slaed_album_media_types` VALUES ('gif', 'Image/GIF', '1', '<img src="<:FILENAME:>" border="0" width="<:WIDTH:>" height="<:HEIGHT:>" alt="<:DESCRIPTION:>">', 'GIF.gif');
INSERT INTO `slaed_album_media_types` VALUES ('jpg', 'Image/JPG', '1', '<img src="<:FILENAME:>" border="0" width="<:WIDTH:>" height="<:HEIGHT:>" alt="<:DESCRIPTION:>">', 'JPG.gif');
INSERT INTO `slaed_album_media_types` VALUES ('png', 'Image/PNG', '1', '<img src="<:FILENAME:>" border="0" width="<:WIDTH:>" height="<:HEIGHT:>" alt="<:DESCRIPTION:>">', 'PNG.gif');
INSERT INTO `slaed_album_media_types` VALUES ('mov', 'Video/Quicktime', '3', '<embed controller="true" width="<:WIDTH:>" height="<:HEIGHT:>" src="<:FILENAME:>" border="0" pluginspage="http://www.apple.com/quicktime/download/indext.html"></embed>', 'MOV.gif');
INSERT INTO `slaed_album_media_types` VALUES ('avi', 'Video/AVI', '3', '<embed src="<:FILENAME:>" border="0" width="<:WIDTH:>" height="<:HEIGHT:>" type="application/x-mplayer2"></embed>', 'AVI.gif');
INSERT INTO `slaed_album_media_types` VALUES ('mpg', 'Video/MPEG', '3', '<embed src="<:FILENAME:>" border="0" width="<:WIDTH:>" height="<:HEIGHT:>" type="application/x-mplayer2"></embed>', 'MPG.gif');
INSERT INTO `slaed_album_media_types` VALUES ('mp3', 'Audio/MP3', '2', '<embed controller="true" width="200" height="20" src="<:FILENAME:>" border="0" pluginspage="http://www.apple.com/quicktime/download/indext.html"></embed>', 'MP3.gif');
INSERT INTO `slaed_album_media_types` VALUES ('mid', 'Audio/MIDI', '2', '<embed src="<:FILENAME:>" type="audio/midi" hidden="false" autostart="true" loop="true" height="20" width="200"></embed>', 'MID.gif');
INSERT INTO `slaed_album_media_types` VALUES ('swf', 'Video/Flash', '3', '<embed src="<:FILENAME:>" pluginspage="http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash" type="application/x-shockwave-flash" width="<:WIDTH:>" height="<:HEIGHT:>" play="true" loop="true" quality="high" scale="showall" menu="true"></embed>', 'SWF.gif');
INSERT INTO `slaed_album_media_types` VALUES ('rm', 'Video/RealMedia', '3', '<OBJECT height="<:HEIGHT:>">\r\n<PARAM NAME="CONTROLS" VALUE="ImageWindow">\r\n<PARAM NAME="AUTOSTART" Value="true">\r\n<PARAM NAME="SRC" VALUE="<:FILENAME:>">\r\n<embed height="<:HEIGHT:>" width="<:WIDTH:>" controls="ImageWindow" src="<:FILENAME:>?embed" type="audio/x-pn-realaudio-plugin" autostart="true" nolabels="0" autogotourl="-1"></OBJECT>', 'REAL.gif');

CREATE TABLE `slaed_album_pictures` (
  `pid` int(10) unsigned NOT NULL auto_increment,
  `gid` int(3) NOT NULL default '0',
  `img` varchar(255) NOT NULL default '',
  `counter` int(10) unsigned NOT NULL default '0',
  `submitter` varchar(24) NOT NULL default 'Webmaster',
  `date` datetime default NULL,
  `name` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `votes` int(10) unsigned NOT NULL default '0',
  `rate` float NOT NULL default '0',
  `extension` varchar(10) NOT NULL default 'image',
  `width` smallint(5) unsigned NOT NULL default '0',
  `height` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`pid`)
) TYPE=MyISAM;

CREATE TABLE `slaed_album_pictures_newpicture` (
  `pid` int(10) unsigned NOT NULL auto_increment,
  `gid` int(3) NOT NULL default '0',
  `img` varchar(255) NOT NULL default '',
  `counter` int(10) unsigned NOT NULL default '0',
  `submitter` varchar(24) NOT NULL default 'Webmaster',
  `date` datetime default NULL,
  `name` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `votes` int(10) unsigned NOT NULL default '0',
  `rate` float NOT NULL default '0',
  `extension` varchar(10) NOT NULL default 'image',
  `width` smallint(5) unsigned NOT NULL default '0',
  `height` smallint(5) unsigned NOT NULL default '0',
  PRIMARY KEY (`pid`)
) TYPE=MyISAM;

CREATE TABLE `slaed_album_rate_check` (
  `ip` varchar(20) NOT NULL default '',
  `time` varchar(14) NOT NULL default '',
  `pid` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY (`time`)
) TYPE=MyISAM;

CREATE TABLE `slaed_album_template_types` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `type` tinyint(3) unsigned NOT NULL default '2',
  `templateCategory` longtext NOT NULL,
  `templatePictures` longtext NOT NULL,
  `templateCSS` longtext,
  PRIMARY KEY (`id`)
) TYPE=MyISAM;

INSERT INTO `slaed_album_template_types` VALUES (1, 'Default Main Page Template', 1, '<table align="center">\r\n<tr>\r\n        <td colspan="2">\r\n                <:GALLNAME:>\r\n        </td>\r\n</tr>\r\n<tr>\r\n        <td>\r\n                <:IMAGE:>\r\n        </td>\r\n        <td valign="top" align="left">\r\n                <:DESCRIPTION:>\r\n        </td>\r\n</tr>\r\n</table>', '2', '.common_text_black {text-color:#000000}\r\n.common_text_white {text-color:#ffffff}');
INSERT INTO `slaed_album_template_types` VALUES (2, 'Default', 2, '<table border="0" cellpadding="0" cellspacing="0">\r\n<tr>\r\n        <td>\r\n                <:IMAGE:>\r\n        </td>\r\n        <td valign="top">\r\n                <p>\r\n                                <table>\r\n                                <tr>\r\n                                        <td align="center">\r\n                                                <:DATE:>\r\n                                        </td>\r\n                                        <td align="center">\r\n                                                <:RATE:>\r\n                                        </td>\r\n                                        <td align="center">\r\n                                                <:HITS:>\r\n                                        </td>\r\n                                        <td align="center">\r\n                                                <:NEW:>\r\n                                        </td>\r\n                                </tr>\r\n                                </table>\r\n                </p>\r\n                <p>\r\n                                <:DESCRIPTION:>\r\n                </p>\r\n                <p>\r\n                                <:NBCOMMENTS:> <br> <:FORMAT:> <br> <:SIZE:>\r\n                </p>\r\n        </td>\r\n</tr>\r\n</table>', '<table>\r\n<tr>\r\n        <td valign="top" align="center">\r\n                <:NAMESIZE:>\r\n                <br><br>\r\n                <TABLE CellPadding="0" CellSpacing="0">\r\n                <TR>\r\n                        <TD valign="top">\r\n                                <:SUBMITTER:>\r\n                                <:DATE:>\r\n                                <:HITS:>\r\n                                <:RATE:>\r\n                        </TD>\r\n                </TR>\r\n                </table><br>\r\n                <:RATINGBAR:><br>\r\n                <:POSTCARD:><br>\r\n                <:DOWNLOAD:><br>\r\n                <:PRINT:>\r\n        </td>\r\n        <td width="80%" align="center">\r\n                <:IMAGE:>\r\n        </td>\r\n</tr>\r\n<tr>\r\n        <td colspan="2"><:DESCRIPTION:></td>\r\n</tr>\r\n<tr>\r\n        <td colspan="2">\r\n                <:COMMENTS:>\r\n        </td>\r\n</tr>\r\n</table>', '.common_text_black {text-color:#000000}\r\n.common_text_white {text-color:#ffffff}');

